pub mod consts;
pub mod network;

use machine_info::Machine;
use crate::consts::{*};
use fltk::{app, prelude::*, *};
fn main() {

    let mut machine=Machine::new();
    let sys_info=machine.system_info();
    let mut dir:String;
    match std::env::current_exe() {
        Ok(exe_path) => {
            println!("当前程序的完整路径是: {:?}", exe_path);

            if let Some(dir_path) = exe_path.parent() {
                println!("当前程序所在的目录是: {:?}", dir_path);

                // 尝试将路径转换为字符串
                match dir_path.to_str() {
                    Some(dir_str) => dir=String::from(dir_str),
                    None => println!("目录路径包含无效的 UTF-8 字符序列"),
                }
            } else {
                println!("无法获取程序所在的目录");
            }
        }
        Err(e) => {
            println!("发生错误: {}", e);
        }
    }
    let a = app::App::default();
    let mut main_window = window::Window::new(100, 100, 800, 600, APP_NAME);
    main_window.fullscreen(true);
    main_window.end();
    main_window.show();
    a.run().unwrap();
}